# OidcService | windmill-client
Documentation for windmill-client

# Class OidcService

- Defined in src/services.gen.ts:1679

#####
Index

### Constructors

constructor

### Methods

getOidcToken

##
Constructors

### constructor

- new OidcService(): OidcService

- #### Returns OidcService

##
Methods

### `Static` getOidcToken

- getOidcToken(data): CancelablePromise <string>

- get OIDC token (ee only)

  #### Parameters

  - data: GetOidcTokenData

    The data for the request.

  #### Returns CancelablePromise <string>

  string new oidc token

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:1688